curl --request GET \
--url https://api.example.com/v1/payments/{paymentId}import requests
url = "https://api.example.com/v1/payments/{paymentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payments/{paymentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payments/{paymentId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payments/{paymentId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payments/{paymentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "019bdb2a-960f-789d-8955-21720e6cdeed",
"debtorPartyId": "019bdb2a-960f-789d-8955-21720e6cdeee",
"debtorAccountId": "019bdb2a-960f-789d-8955-21720e6cdeef",
"creditorPartyId": "019bdb2a-960f-789d-8955-21720e6cdef1",
"creditorAccountId": "019bdb2a-960f-789d-8955-21720e6cdef2",
"debtor": {
"name": "Jane Smith",
"iban": "DE89370400440532013000",
"currency": "EUR",
"agent": "REVOLT21",
"address": {
"townName": "Berlin",
"streetName": "Hauptstrave",
"buildingNumber": "42",
"postCode": "10115",
"country": "DE"
}
},
"creditor": {
"name": "Jane Smith",
"iban": "DE89370400440532013000",
"currency": "EUR",
"agent": "REVOLT21",
"address": {
"townName": "Berlin",
"streetName": "Hauptstrave",
"buildingNumber": "42",
"postCode": "10115",
"country": "DE"
}
},
"amount": 10000,
"currency": "EUR",
"endToEndId": "E2E-123456",
"remittanceInformation": "Invoice payment #12345",
"status": "PENDING",
"scheme": "SCT",
"direction": "OUTBOUND",
"source": "CLIENT",
"settlementDate": "2026-01-22T00:00:00.000Z",
"gatewayTransactionId": "48573921",
"returnGatewayTransactionId": "48573921",
"createdAt": "2026-01-22T13:47:21.542Z",
"updatedAt": "2026-01-22T13:47:21.542Z",
"priority": "NORM",
"settlement": {
"date": "2026-04-30T00:00:00.000Z",
"method": "INDA",
"priority": "NORM"
}
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Get payment
Retrieves payment details by ID
curl --request GET \
--url https://api.example.com/v1/payments/{paymentId}import requests
url = "https://api.example.com/v1/payments/{paymentId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/payments/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/payments/{paymentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/payments/{paymentId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/payments/{paymentId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/payments/{paymentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "019bdb2a-960f-789d-8955-21720e6cdeed",
"debtorPartyId": "019bdb2a-960f-789d-8955-21720e6cdeee",
"debtorAccountId": "019bdb2a-960f-789d-8955-21720e6cdeef",
"creditorPartyId": "019bdb2a-960f-789d-8955-21720e6cdef1",
"creditorAccountId": "019bdb2a-960f-789d-8955-21720e6cdef2",
"debtor": {
"name": "Jane Smith",
"iban": "DE89370400440532013000",
"currency": "EUR",
"agent": "REVOLT21",
"address": {
"townName": "Berlin",
"streetName": "Hauptstrave",
"buildingNumber": "42",
"postCode": "10115",
"country": "DE"
}
},
"creditor": {
"name": "Jane Smith",
"iban": "DE89370400440532013000",
"currency": "EUR",
"agent": "REVOLT21",
"address": {
"townName": "Berlin",
"streetName": "Hauptstrave",
"buildingNumber": "42",
"postCode": "10115",
"country": "DE"
}
},
"amount": 10000,
"currency": "EUR",
"endToEndId": "E2E-123456",
"remittanceInformation": "Invoice payment #12345",
"status": "PENDING",
"scheme": "SCT",
"direction": "OUTBOUND",
"source": "CLIENT",
"settlementDate": "2026-01-22T00:00:00.000Z",
"gatewayTransactionId": "48573921",
"returnGatewayTransactionId": "48573921",
"createdAt": "2026-01-22T13:47:21.542Z",
"updatedAt": "2026-01-22T13:47:21.542Z",
"priority": "NORM",
"settlement": {
"date": "2026-04-30T00:00:00.000Z",
"method": "INDA",
"priority": "NORM"
}
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Path Parameters
Payment ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Response
Payment details
Payment details
Payment ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdeed"
Debtor party ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdeee"
Debtor account ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdeef"
Creditor party ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdef1"
Creditor account ID
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}"019bdb2a-960f-789d-8955-21720e6cdef2"
Debtor (payer) information
Show child attributes
Show child attributes
Creditor (payee) information
Show child attributes
Show child attributes
Amount in minor units (cents)
10000
Currency code
"EUR"
End-to-end identifier
"E2E-123456"
Payment description/reference
"Invoice payment #12345"
Payment status
PENDING, SENT_TO_CLEAR, COMPLETED, FAILED, RETURNED, RETURN_REJECTED Payment scheme
SCT, SCT_INST, INTERNAL, SWIFT Payment direction
OUTBOUND, INBOUND Business source that initiated the payment
CLIENT, PLAIS, EXTERNAL_BANK Settlement date
"2026-01-22T00:00:00.000Z"
Gateway transaction ID
"48573921"
Return gateway transaction ID
"48573921"
Payment creation timestamp
"2026-01-22T13:47:21.542Z"
Payment last update timestamp
"2026-01-22T13:47:21.542Z"
Payment priority. SWIFT-only.
NORM, HIGH "NORM"
Settlement details. SWIFT-only.
Show child attributes
Show child attributes